Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1141557 - sugar-dimensions - A visual matching game
Summary: sugar-dimensions - A visual matching game
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2014-09-14 16:30 UTC by Kalpa Welivitigoda
Modified: 2017-08-25 14:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-25 14:47:10 UTC
dev: fedora-review?


Attachments (Terms of Use)

Description Kalpa Welivitigoda 2014-09-14 16:30:45 UTC
Spec URL: https://callkalpa.fedorapeople.org/sugar-dimensions/sugar-dimensions.spec
SRPM URL: https://callkalpa.fedorapeople.org/sugar-dimensions/sugar-dimensions-56-1.fc20.src.rpm

This is a package renaming. Previous package name is sugar-visualmatch.

Comment 1 Florian "der-flo" Lehner 2014-09-14 19:51:19 UTC
hi!

There are some issues:

[ ] Package contains BR: python2-devel or python3-devel

And from rpmlint:

Checking: sugar-dimensions-56-1.fc22.noarch.rpm
          sugar-dimensions-56-1.fc22.src.rpm
sugar-dimensions.noarch: W: non-standard-group Sugar/Activities
sugar-dimensions.noarch: E: non-executable-script /usr/share/sugar/activities/Dimensions.activity/gencards.py 0644L /usr/bin/env
sugar-dimensions.noarch: E: non-executable-script /usr/share/sugar/activities/Dimensions.activity/helpbutton.py 0644L /usr/bin/env
sugar-dimensions.noarch: E: incorrect-fsf-address /usr/share/sugar/activities/Dimensions.activity/dimensions.py
sugar-dimensions.noarch: E: invalid-lc-messages-dir /usr/share/locale/aym/LC_MESSAGES/org.sugarlabs.VisualMatchActivity.mo
sugar-dimensions.src: W: non-standard-group Sugar/Activities
sugar-dimensions.src:14: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 14)
2 packages and 0 specfiles checked; 4 errors, 3 warnings.

Please fix this and mention the renaming in %changelog.

Cheers,
 Florian

Comment 2 Kalpa Welivitigoda 2014-09-18 16:29:48 UTC
Hi Florian,

Warning of non-standard-group is common to all sugar activities that are being packaged.

The rest of the issues are fixed.

Here are the new files,
Spec URL: https://callkalpa.fedorapeople.org/sugar-dimensions/sugar-dimensions.spec
SRPM URL: https://callkalpa.fedorapeople.org/sugar-dimensions/sugar-dimensions-56-2.fc20.src.rpm

Comment 3 Florian "der-flo" Lehner 2014-09-18 17:25:28 UTC
Hi Kalpa,

what about the errors, already mentioned?

[ ] non-executable-script /usr/share/sugar/activities/Dimensions.activity/gencards.py 0644L /usr/bin/env

[ ] non-executable-script /usr/share/sugar/activities/Dimensions.activity/helpbutton.py 0644L /usr/bin/env

[ ] incorrect-fsf-address /usr/share/sugar/activities/Dimensions.activity/dimensions.py

[ ] invalid-lc-messages-dir /usr/share/locale/aym/LC_MESSAGES/org.sugarlabs.VisualMatchActivity.mo

[ ] mention the renaming in %changelog

[ ] %files section contains %defattr if rpm < 4.4
    Note: %defattr present but not needed
    https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

[ ] Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/pis/LC_MESSAGES,
     /usr/share/locale/pis, /usr/share/locale/mvo/LC_MESSAGES,
     /usr/share/locale/pbs, /usr/share/locale/quz, /usr/share/locale/quy,
     /usr/share/locale/hus, /usr/share/locale/pbs/LC_MESSAGES,
     /usr/share/locale/quz/LC_MESSAGES, /usr/share/locale/fa_AF/LC_MESSAGES,
     /usr/share/locale/ayc/LC_MESSAGES, /usr/share/locale/fa_AF,
     /usr/share/locale/quy/LC_MESSAGES, /usr/share/locale/tzo/LC_MESSAGES,
     /usr/share/locale/hus/LC_MESSAGES, /usr/share/locale/aym,
     /usr/share/locale/ayc, /usr/share/locale/aym/LC_MESSAGES,
     /usr/share/locale/mvo, /usr/share/locale/tzo, /usr/share/locale/tzm,
     /usr/share/locale/tzm/LC_MESSAGES

[ ] Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/quz,
     /usr/share/locale/ayc/LC_MESSAGES, /usr/share/locale/pis/LC_MESSAGES,
     /usr/share/locale/pis, /usr/share/locale/tzo, /usr/share/locale/tzm,
     /usr/share/locale/fa_AF/LC_MESSAGES, /usr/share/locale/mvo/LC_MESSAGES,
     /usr/share/locale/tzm/LC_MESSAGES, /usr/share/locale/fa_AF,
     /usr/share/locale/quy/LC_MESSAGES, /usr/share/locale/aym,
     /usr/share/locale/ayc, /usr/share/locale/aym/LC_MESSAGES,
     /usr/share/locale/quy, /usr/share/locale/hus,
     /usr/share/locale/pbs/LC_MESSAGES, /usr/share/locale/mvo,
     /usr/share/locale/pbs, /usr/share/locale/hus/LC_MESSAGES,
     /usr/share/locale/tzo/LC_MESSAGES, /usr/share/locale/quz/LC_MESSAGES

[ ] Package contains BR: python2-devel or python3-devel
    Instead of just removing python-devel you should take a look at
    https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

Cheers,
 Florian

Comment 4 Kalpa Welivitigoda 2014-09-18 18:17:01 UTC
Hi Florian,

My bad, I ran rpmlint only on the srpm but not on the rpm.

I think I already had python-devel as a BR. I am waiting for the upstream to fix the FSF address issue. Will update once it is fixed.

Comment 5 Florian "der-flo" Lehner 2014-09-18 18:23:28 UTC
hi Kalpa,

As https://fedoraproject.org/wiki/Packaging:Python#BuildRequires says, you have to distinguish between python2-devel and python3-devel.

Cheers,
 Florian

Comment 6 Florian "der-flo" Lehner 2014-12-29 16:53:31 UTC
hi Kalpa,

are you still interessted in a review?

Cheers,
 Florian

Comment 7 Ben Rosser 2017-08-23 01:01:37 UTC
It's been many years since an update here, but... are you still interested in this package?

Note that you don't *have* to wait for upstream to fix FSF address issues; it's enough to report them.

Anyway, as per the "stalled review policy" https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews please respond soon if you're still interested in this ticket, otherwise I will mark it FE-DEADREVIEW and close it.

Comment 8 Kalpa Welivitigoda 2017-08-25 14:43:11 UTC
Please mark this ticket as FE-DEADREVIEW. Thank you.

Comment 9 Ben Rosser 2017-08-25 14:47:10 UTC
Fair enough. Flagging as DEADREVIEW and closing.


Note You need to log in before you can comment on or make changes to this bug.